Subject: RE: bases [was: Re: [lojban] Re:HEX advert... (Don't know what it was)

From: "And Rosta" <[email-masked]>
Date: Sat, 10 Nov 2001 23:46:37 -0000

Bloke Without A Favourite Colour:
> --- In lojban@y..., And Rosta <arosta@u...> wrote:
> > I could point out, btw, that by your reasoning it could be argued 
> that
> > English is default base 13, given that digits 1-12 are 
> noncompositional.
> 
> Just because English has the words 'ten', 'eleven', and 'twelve' are 
> not respectively 'onety', 'oneteen', and 'twoteen' does not mean 
> English uses base 13 by any stretch, any more than 'thirteen' not 
> being 'threeteen', 'fifteen' not being 'fiveteen', or 'twenty' not 
> being 'twoty' means anything about the base English uses. All these 
> are plainly irregularities.

And, similarly, just because Lojban has noncompositional words for
zero through to 15 does not mean Lojban by default uses base 16.

> > (BTW, I favour duodecimal for cardinal numbers & sexagesimal for
> > fractions.)
> 
> But why?

Convenience of division; it's useful to be able to divide things
into 2, 3, 4, 5, 6 etc neatly & tidily. 60 for fractions because
it is divisible by 5 but not for cardinal numbers because its too
large to do multiplication with.

--And.